/**
 * OW2 Util
 * Copyright (C) 2008 SERLI
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 *
 * --------------------------------------------------------------------------
 * $Id: IReader.java 4392 2008-12-15 14:05:41Z alitokmen $
 * --------------------------------------------------------------------------
 */

package org.ow2.util.plan.reader;

import javax.xml.bind.JAXBException;
import javax.xml.bind.ValidationEventHandler;

import org.ow2.util.plan.bindings.schemastream.ISchemaStreamFactory;

/**
 * Interface from reader object that will unmarshall object from known
 * XML files.
 * @author mleduque
 */
public interface IReader {

    /**
     * Sets the validation handler that will be used.
     * @param handler the new handler.
     * @throws JAXBException
     */
    void setValidationEventHandler(ValidationEventHandler handler) throws JAXBException;

    /**
     * Gets the validation handler.
     * @return the validation handler.
     * @throws JAXBException
     */
    ValidationEventHandler getValidationEventHandler() throws JAXBException;

    void setValidation(boolean validate) throws ReaderException;

    boolean isValidating();

    void setSchemaStreamFactory(ISchemaStreamFactory factory);

    ISchemaStreamFactory getSchemaStreamFactory();
}