/**
 * OW2 Util
 * Copyright (C) 2008 SERLI
 * Contact: easybeans@objectweb.org
*
* This library is free software; you can redistribute it and/or
* modify it under the terms of the GNU Lesser General Public
* License as published by the Free Software Foundation; either
* version 2.1 of the License, or any later version.
*
* This library is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
* Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public
* License along with this library; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
* USA
*
* --------------------------------------------------------------------------
* $Id: IPlanReader.java 4389 2008-12-15 13:48:57Z alitokmen $
* --------------------------------------------------------------------------
*/


package org.ow2.util.plan.reader.plan;

import java.io.File;
import java.io.IOException;

import org.ow2.util.plan.bindings.deploymentplan.DeploymentPlan;
import org.ow2.util.plan.reader.IReader;
import org.ow2.util.plan.reader.ReaderException;

/**
 * Interface for the IReader objects that read DeploymentPlan objects.
 * @author mleduque
 */
public interface IPlanReader extends IReader {

    /**
     * Unmarshalls a Deploymentplan object from the given file.
     * @param file the file that will be read.
     * @return the DeploymentPlan object unmarshalled from the file.
     * @throws IOException in case of IO errors.
     * @throws ReaderException in case of parsing errors.
     */
    DeploymentPlan readPlan(File file)
        throws IOException, ReaderException;
}
